Page MenuHomePhabricator

wikistats: add wikimania wikis
Closed, ResolvedPublic

Description

As far as I can see only upto wikimania 2011 is in wikistats

We should add 2011-2017 as existing.. And 2018 is coming very soon

Related Objects

StatusAssignedTask
ResolvedReedy
ResolvedDzahn

Event Timeline

Reedy created this task.Aug 2 2017, 11:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2017, 11:48 PM
Dzahn claimed this task.Aug 3 2017, 2:44 AM
Dzahn added a comment.Aug 4 2017, 8:47 PM
MariaDB [wikistats]> select id,prefix,description,statsurl from wmspecials where prefix like "wikimania%";
+-----+---------------+----------------+--------------------------------------------------------------------------------------------+
| id  | prefix        | description    | statsurl                                                                                   |
+-----+---------------+----------------+--------------------------------------------------------------------------------------------+
| 101 | wikimania2005 | Wikimania 2005 | https://wikimania2005.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
|  17 | wikimania2006 | Wikimania 2006 | https://wikimania2006.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
|  23 | wikimania2007 | Wikimania 2007 | https://wikimania2007.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
|  40 | wikimania2008 | Wikimania 2008 | https://wikimania2008.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
|  41 | wikimania2009 | Wikimania 2009 | https://wikimania2009.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
|  42 | wikimania2010 | Wikimania 2010 | https://wikimania2010.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
|  43 | wikimania2011 | Wikimania 2011 | https://wikimania2011.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
| 122 | wikimania2012 | Wikimania 2012 | https://wikimania2012.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
| 123 | wikimania2013 | Wikimania 2013 | https://wikimania2013.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
| 124 | wikimania2014 | Wikimania 2014 | https://wikimania2014.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
| 133 | wikimania2015 | Wikimania 2015 | https://wikimania2015.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
| 135 | wikimania2016 | Wikimania 2016 | https://wikimania2016.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics |
+-----+---------------+----------------+--------------------------------------------------------------------------------------------+
12 rows in set (0.00 sec)

Of course adding 2017 (and 2018) but 2012-2016 should already be there.

Dzahn added a comment.Aug 4 2017, 8:49 PM

http://wikistats.wmflabs.org/display.php?t=wx and click on description column to sort alpha

Dzahn closed this task as Resolved.Aug 4 2017, 8:53 PM
MariaDB [wikistats]> insert into wmspecials (prefix,description,statsurl) values ("wikimania2017", "Wikimania 2017", "https://wikimania2017.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics");
Query OK, 1 row affected (0.02 sec)

MariaDB [wikistats]> insert into wmspecials (prefix,description,statsurl) values ("wikimania2018", "Wikimania 2018", "https://wikimania2018.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics");
Query OK, 1 row affected (0.00 sec)
MariaDB [wikistats]> update wmspecials set method="8" where prefix="wikimania2017" or prefix="wikimania2018";
Query OK, 2 rows affected (0.00 sec)
Rows matched: 2  Changed: 2  Warnings: 0


/usr/bin/php /usr/lib/wikistats/update.php wx prefix wikimania2017
sent query: 'select * from wmspecials where prefix="wikimania2017"'.
A(1/66) - wmspecials. - calling API: https://wikimania2017.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics
-> http answer: 200 -> parsing answer: 0
---> OK - total: 11658 good: 868 edits: 38556 users: 24908 active users: 218 admins: 25 images: 22
---> update wmspecials set total="11658",good="868",edits="38556",users="24908",activeusers="218",admins="25",images="22",http="200",ts=NOW() where id="137"; 

/usr/bin/php /usr/lib/wikistats/update.php wx prefix wikimania2018
sent query: 'select * from wmspecials where prefix="wikimania2018"'.
A(1/66) - wmspecials. - calling API: https://wikimania2018.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics
-> http answer: 200 -> parsing answer: 0
---> OK - total: 7 good: 0 edits: 9 users: 20 active users: -1 admins: 0 images: 0
---> update wmspecials set total="7",good="0",edits="9",users="20",activeusers="-1",admins="0",images="0",http="200",ts=NOW() where id="138";